<!-- WooAdvarics Plugin setting page -->
<?php

defined( 'ABSPATH' ) or die( 'Hey, what are you doing here? You silly human!' );
?>

 <?php
 		
		// WooCommerce Attibute Taxonomy List
		$taxonomy_attributes = array();
		$attribute_taxonomies = wc_get_attribute_taxonomies();

		if ( $attribute_taxonomies )
			foreach ($attribute_taxonomies as $tax) 
				if (taxonomy_exists(wc_attribute_taxonomy_name($tax->attribute_name)))
					if (! in_array( $tax->attribute_name, $taxonomy_attributes ))
						array_push( $taxonomy_attributes, $tax->attribute_name);
					
		array_push( $taxonomy_attributes, '');		
		
		
		// Save configuration
		if ( isset($_POST['attributi']) )
		{
			$attributi 				= $_POST['attributi'];
			$attrib_value 			= $_POST['attrib_value'];
			$adbx_woo_attributes 	= $_POST['adbx_woo_attributes'];
			
			$extra_attributes_table = unserialize(get_option('adbx_extra_attributes_table' ));	//array
			
			foreach($attributi as $attributo) 
			{
				$attrib_key    		= $attributo;
				$attrib_valore		= $adbx_woo_attributes[$attrib_key];
				$extra_attributes_table[$attrib_key] = $attrib_valore;
				
			}		
			
			update_option( 'adbx_extra_attributes_table', serialize($extra_attributes_table) );
		}	
		
		// Synchronization of Advarics Extra Attributes (creazione/aggiornamento tabella [typeName] = WooAttribute 
		if(array_key_exists('manual_synch_attributes', $_POST))
		{
			$extra_attrib_setting = get_option( 'adbx_advarics_extra_attributes' );
			
			if ($extra_attrib_setting == 1) 
			{	
				$extra_attributes_array = array();
				$extra_attributes_table	= array();
				
				$conn_instance 	= new AdbxSynchWooAdvarics();
				$synch_ok		= $conn_instance->adbxExecSynchronization( 0 );
				if ($synch_ok)
				{	
					$extra_attributes_array = $conn_instance->adbxExtraAttributes('attrib');
					
					$extra_attributes_table = unserialize(get_option('adbx_extra_attributes_table' ));	 
					
					foreach ($extra_attributes_array as $item) 		
					{
						if (array_key_exists( $item,  $extra_attributes_table)) 
						{
							//do nothing
						}
						else					
							$extra_attributes_table[$item] = '';
		
					}
								
					echo '<div id="setting-error-settings_updated" class="notice notice-success settings-error is-dismissible"> 
						<p><strong>Found ' . count($extra_attributes_array) . ' extra attributes assigned to Advarics WebShop Products</strong></p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Nascondi questa notifica.</span></button></div>';
								
					update_option( 'adbx_extra_attributes_table', serialize($extra_attributes_table) );
				}
			}
			else
				echo '<div id="setting-error-settings_updated" class="notice notice-warning settings-error is-dismissible"> 
						<p><strong>WARNING: Activate Extra attributes on plugin setting page</strong></p><button type="button" class="notice-dismiss"><span class="screen-reader-text">Nascondi questa notifica.</span></button></div>';
	
		}	
		


?>		

<div class="wrap">
	<h1>Woocommerce Advarics Integration</h1>
	
	<h1 style="color:green;"> 
        Extra attributes ( Advarics Zugeordnete Attribute )
    </h1>
	<br><br>
	<form method="post">
		<table style="width:60%" >
			<thead>
			<tr>
				<th align ="left" height="50">Advarics Extra Attribute</th>
				<th align ="left" height="50">WooCommerce Attribute</th>
				<th align ="left" height="50">Advarics Extra Attribute</th>
				<th align ="left" height="50">WooCommerce Attribute</th>
			</tr>
			</thead>
			<tbody>

	<?php
		
		//update_option( 'adbx_extra_attributes_table', '' );
		$adbx_extra_attributes_array = unserialize(get_option('adbx_extra_attributes_table' ));	// Array of table
		
		if ( is_array($adbx_extra_attributes_array) )
		{	
			$adbx_extra_attributes_keys  = array_keys($adbx_extra_attributes_array);	
			//foreach ($adbx_extra_attributes_keys  as $item) 
			
			$attributes_list = array_values($adbx_extra_attributes_keys);
			$num_attributes = count($attributes_list);
			for ($i=0; $i<$num_attributes;$i++)
			{
				//$attrib_key = $item; // Advarics typeName
				$attrib_key = $attributes_list[$i];
				echo '<tr><td>' . $attrib_key . '<input type="hidden" name="attributi[]" value="' . $attrib_key . '" readonly></td>';
				echo '<td><select id="adbx_woo_attributes" name="adbx_woo_attributes[' . $attrib_key . ']"> ';

				foreach($taxonomy_attributes as $attrib) {
					echo '<option value="'. $attrib . '" ' . selected( $adbx_extra_attributes_array[$attrib_key] , $attrib) . '>' . $attrib . '</option>';
				}
				?>	
				</select></td>
				<?php
				$i++;
				if ($i<$num_attributes)
				{
					$attrib_key = $attributes_list[$i];
					echo '<td>' . $attrib_key . '<input type="hidden" name="attributi[]" value="' . $attrib_key . '" readonly></td>';
					echo '<td><select id="adbx_woo_attributes" name="adbx_woo_attributes[' . $attrib_key . ']"> ';

					foreach($taxonomy_attributes as $attrib) {
						echo '<option value="'. $attrib . '" ' . selected( $adbx_extra_attributes_array[$attrib_key] , $attrib) . '>' . $attrib . '</option>';
					}
					?>	
					</select></td></tr>
				<?php
				}
				else 
					echo '<td></td></tr>';	
				
			}
			
		}	
	 
	
	?>
			</tbody>
		</table>
		<br>
		<input type="submit" value="Save changes" >
	</form>

	<br><br><br>
    <form method="post"> 
	
	<h1 style="color:green;"> 
         
		<?php _e('Extra attributes synchronization','wooadvarics-plugin'); ?>
    </h1> 
    <h4> 
       
		<?php _e(' Click the button to retriew extra attributes from Advarics','wooadvarics-plugin'); ?>
    </h4> 
        <input type="submit" name="manual_synch_attributes" class="button" value="Synchronize extra attributes!" /> 
    </form>
	

	

</div>

