<?php

/**
 * Trigger this file on Plugin uninstall
 *
 * @package  AlecadddPlugin
 */
defined( 'ABSPATH' ) or die( 'Hey, what are you doing here? You silly human!' );

if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	die;
}

// remove plugin options
$options = array(
	'adbx_advarics_api_url',
	'adbx_advarics_id',
	'adbx_advarics_webshopID',
	'adbx_advarics_webshopName',
	'adbx_advaricsProductExcerpt',
	'adbx_advaricsProductTitle_1',
	'adbx_advaricsProductTitle_2',
	'adbx_advaricsProductTitle_3',
	'adbx_img_gallery',
	'adbx_license_key',
	'adbx_new_product_content',
	'adbx_new_product_status',
	'adbx_next_erp_customer_num',
	'adbx_product_category',
	'adbx_synch_configuration',
	'adbx_webshop_order_destination',
	'adbx_advarics_webshopsynch',
	'adbx_advarics_webshopsynch_minutes',
	'adbx_advarics_log',
	'adbx_advarics_size',
	'adbx_advarics_color',
	'adbx_advarics_gtin_meta_field',
	'adbx_advarics_gtin',
	'adbx_advarics_brand',
	'adbx_codice_plugin',
	'adbx_advarics_extra_attributes',
	'adbx_advarics_article_texts',
	'adbx_product_sku_code',
	'adbx_advarics_synchprocess',
	'adbx_advarics_variation_id',
	'adbx_advarics_changedat_synch',
	'adbx_advarics_productlist_synch',
	'adbx_img_name',
	'adbx_simple_product',
	'adbx_price_update',
	'adbx_advarics_block_size',
	'adbx_simple_product'
	
);


foreach ($options as $option) {
	if (get_option($option)) delete_option($option);
}


// delete cron event
$timestamp = wp_next_scheduled('wooadvarics_cron_hook');
wp_unschedule_event($timestamp, 'wooadvarics_cron_hook');

// remove plugin transients

// delete user meta
$users = get_users();
foreach ($users as $user) {
	delete_user_meta($user->ID, 'erp_customer_no');
}

// delete post meta
/*delete_metadata('shop_order', 0, 'adbx_sent_to_erp', '', true);
delete_metadata('shop_order', 0, 'articleNo', '', true);
delete_metadata('shop_order', 0, 'erp_orderid', '', true);
delete_metadata('shop_order', 0, 'adbx_erp_customer_no', '', true);
delete_metadata('shop_order', 0, 'adbx_pics_gallery', '', true);
delete_metadata('shop_order', 0, 'adbx_advarics_articleId', '', true);
*/







